For the complete documentation index, see llms.txt. This page is also available as Markdown.

Engagement Filters

The following API entry points provide the ability to search for records based on when they were created:

  • GET /posts

  • GET /posts/stats

With each of these endpoints, two parameters work together to specify a range of engagement metrics for records to be included in the results:

  • engagement_from – low end of engagement range

  • engagement_to – high end of engagement range

These values must be expressed as integers with a ".00" suffix.

If either or both of these parameters is omitted, the following defaults will be implied:

  • When omitted, a default value of zero will be implied for the engagement_from parameter.

  • When omitted, an infinitely large default value will be implied for the engagement_to parameter.

Explicit Range

The following request will retrieve posts with engagement metrics of at least 100 and not greater than 5000:

GET /posts?engagement_from=100.00&engagement_to=5000.00

Implicit Low Or High Values

The following requests imply default low or high bounds for the range:

GET /posts?engagement_from=100.00

GET /posts?engagement_to=5000.00

No Engagement Filtering

Without engagement parameters, the following request will apply no engagement filtering:

GET /post

Last updated